# DescribeVncUrl

## 1. API Description

This API (DescribeVncUrl) is used to obtain the VNC address of the instance.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description         |
| -------------- | -------- | ------ | ------------------- |
| instanceId     | Yes      | String | ID of the instance. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| url            | String | VNC address.                                                                                                          |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Obtain the VNC address of the instance.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeVncUrl
<Common Request Params>

Request:
{
  "instanceId": "instanceId1"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "url": "xxx"
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                                        | Description                                           |
| ---------------- | ------------------------------------------------- | ----------------------------------------------------- |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND                     | Instance not found.                                   |
| 400              | OPERATION\_DENIED\_INSTANCE\_STATUS\_NOT\_SUPPORT | Current instance state does not allow this operation. |
